

On some architectures the atomic ops return `long'.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-alpha-akpm/drivers/input/serio/serio.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/input/serio/serio.c~serio-warning-fix drivers/input/serio/serio.c
--- 25-alpha/drivers/input/serio/serio.c~serio-warning-fix	2005-02-07 23:35:03.000000000 -0800
+++ 25-alpha-akpm/drivers/input/serio/serio.c	2005-02-07 23:35:12.000000000 -0800
@@ -475,7 +475,7 @@ static void serio_init_port(struct serio
 	init_MUTEX(&serio->drv_sem);
 	device_initialize(&serio->dev);
 	snprintf(serio->dev.bus_id, sizeof(serio->dev.bus_id),
-		 "serio%d", atomic_inc_return(&serio_no) - 1);
+		 "serio%ld", (long)atomic_inc_return(&serio_no) - 1);
 	serio->dev.bus = &serio_bus;
 	serio->dev.release = serio_release_port;
 	if (serio->parent)
_
